Ajustement de code

fremauxlab

New Member
#1
Bonsoir,

Suite à quelques problèmes rencontrés avec mon site dû à un problème de compatibilité entre les scripts de mon site et la version PHP, on m'a conseillé d'ajuster mon code étant donné que mysql_connect est obsolète avec les nouvelles versions php. Toutefois je m'y connais très peu, aussi, pourriez-vous m'expliquer comment on procède svp?

Cordialement.
 

PH-Marc-André.B.

Modérateur
Membre du personnel
#2
Bonsoir,

Pour un CMS comme WordPress, il s'agirait de faire toutes les mises à jour normalement.

Autrement, avec un site programmé "à la mitaine", il s'agit là de retrouver le script responsable d'établir la connexion à la base de données et de remplacer la fonction / ré-écrire le script avec la bone fonction, habituellement PDO_Mysql

Voir la référence officielle ici:

fonction dépréciée en PHP 7 + mysql_connect: https://www.php.net/manual/en/function.mysql-connect

fonction acceptable équivalente: mysqli_connect: https://www.php.net/manual/fr/function.mysqli-connect.php

ou encore PDO_MySQL (recommandé): https://www.php.net/manual/fr/pdo.construct.php
 

PH-Marc-André.B.

Modérateur
Membre du personnel
#4
Bonjour,

Vous pouvez modifier votre fichier «wp-config.php»

define('WP_DEBUG', false);
en
define('WP_DEBUG', true);

Ça permet d'afficher les erreurs PHP sur votre site.

Une fois fait, prenez note de l'erreur et faites-là nous parvenir dans ce fil de discussion.

Nous pourrons voir s'il s'agit d'une erreur provenant de votre site ou du serveur.

Pensez à repasser cette valeur à «false» par la suite.
 

PH-Marc-André.B.

Modérateur
Membre du personnel
#6
Bonjour,

selon vos captures d'écran cette installation de WordPress n'est pas compatible avec notre World Lite parce qu'elle semble vouloir utiliser des fonctions de PHP 5

Tandis que notre World Lite vient avec PHP 7.2.

Il faut que vous mettiez WordPress à jour pour pouvoir opérer votre site.
 

fremauxlab

New Member
#7
Bonjour,

Merci pour votre retour si rapide!
Comment puis-je mettre à jour le software?

Cordialement.
 

PH-Myriam

Moderateur
Membre du personnel
#8
Bonjour,

Pour cela, je vous invite à vérifier sur les documentations officiel de WordPress ainsi que la documentation des plugins et du thème que vous utilisez.

Bonne programmation !
 
Haut